NAME(1)

NAME
simulpic - Microchip PIC 16F84 simulator

SYNOPSIS
simulpic

DESCRIPTION
simulpic is a program that simulates the behaviour of a Microchip 16F84 microcontroller.

The program presents a command line interface and accepts the following commands:

h   Give a summary of all the commands

l <filename>
    Read program memory from IHX8M-format file <filename>

dr  View registers

dg  View general registers

dee View EEPROM data memory

dpm View program memory

dp  View IO pins state

ds  View stack

d [<address>]
    Disassemble from <address> (or PC)

s [<number>]
    Execute <number> steps

g <time>
    Execute until <time>

bp [<address>]
    Set/clear breakpoint

pa ppppp
    Set RA io_port state (p = 0, 1, -, u)

pb ppppp
    Set RB io_port state (p = 0, 1, -, u)

pm p
    Set MCLR state (p = 0, 1)

io [<filename>]
    Open inputs file

ic  Close inputs file

ro [<filename>]
    Open report file

rc  Close report file

eo [<filename>]
    Open graphic file

ec  Close graphic file

st  Set sampling frequency (# instr.) for graphics file

f   Set clock frequency

por Power-on reset

q   Quit

OPTIONS
This program has no options.

SEE ALSO
You can find more information about the PIC 16F84 microcontroller on the Microchip WWW site http://www.microchip.com/

AUTHOR
This manual page was written by Samuel Tardieu <sam@debian.org> and revised by Deva Seetharam (deva@alum.mit.edu), for the Debian GNU/Linux system (but may be used by others).